## python-coloredlogs 7.3

=== requirements.txt ===
humanfriendly >= 3.2

## python-coloredlogs 7.1

=== debian/changelog ===
python-coloredlogs (7.1-1) unstable; urgency=low

  * Initial release. (Closes: #780187)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 29 Jul 2017 13:16:24 +0100

=== debian/control ===
Source: python-coloredlogs
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-humanfriendly,
               python-setuptools,
               python3-all,
               python3-humanfriendly,
               python3-setuptools
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-coloredlogs.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-coloredlogs.git
Homepage: https://coloredlogs.readthedocs.io
X-Python3-Version: >= 3.4

Package: python-coloredlogs
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: colored terminal output for Python 2's logging module
 The coloredlogs package enables colored terminal output for Python's logging
 module. The ColoredFormatter class inherits from logging.Formatter and uses
 ANSI escape sequences to render your logging messages in color. It uses only
 standard colors so it should work on any UNIX terminal.
 .
 This package provides the modules for Python 2.

Package: python3-coloredlogs
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: colored terminal output for Python 3's logging module
 The coloredlogs package enables colored terminal output for Python's logging
 module. The ColoredFormatter class inherits from logging.Formatter and uses
 ANSI escape sequences to render your logging messages in color. It uses only
 standard colors so it should work on any UNIX terminal.
 .
 This package provides the modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=coloredlogs
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin

# Testing depends on verboselogs, which has yet to be packaged.
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-coloredlogs 7.3

=== debian/changelog ===
python-coloredlogs (7.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Aug 2019 21:27:34 +0200

python-coloredlogs (7.3-1) unstable; urgency=medium

  * New upstream version 7.3
  * Bump the standards version to 4.1.1
  * Add recommended get-orig-source target

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 03 Nov 2017 10:25:12 +0000

=== debian/control ===
Source: python-coloredlogs
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 10),
               dh-python,
               python3-all,
               python3-humanfriendly,
               python3-setuptools
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-coloredlogs
Vcs-Git: https://salsa.debian.org/python-team/modules/python-coloredlogs.git
Homepage: https://coloredlogs.readthedocs.io

Package: python3-coloredlogs
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: colored terminal output for Python 3's logging module
 The coloredlogs package enables colored terminal output for Python's logging
 module. The ColoredFormatter class inherits from logging.Formatter and uses
 ANSI escape sequences to render your logging messages in color. It uses only
 standard colors so it should work on any UNIX terminal.
 .
 This package provides the modules for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
+
+get-orig-source:
+	uscan --download-current-version --force-download --no-symlink

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/coloredlogs/coloredlogs@ANY_VERSION@@ARCHIVE_EXT@

## python-coloredlogs 15.0.1

=== requirements.txt ===
humanfriendly >= 9.1

=== debian/changelog ===
python-coloredlogs (15.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #998092)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 10 Oct 2022 19:23:32 -0400

python-coloredlogs (7.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove unnecessary get-orig-source-target.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 23:58:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: python-coloredlogs
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-humanfriendly,
                python3-setuptools
 Standards-Version: 4.1.1
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-coloredlogs
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-coloredlogs.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-coloredlogs
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-coloredlogs.git
 Homepage: https://coloredlogs.readthedocs.io
 
 Package: python3-coloredlogs

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,3 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-get-orig-source:
-	uscan --download-current-version --force-download --no-symlink
